
Foreman - Bug #2498

Reports yaml import is very slow

05/15/2013 06:22 AM - Daniel Lobato Garcia

Status: Closed   

Priority: High   

Assignee: Daniel Lobato Garcia   

Category: Importers   

Target version: 1.2.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

facts.keys.dup.delete_if { |n| fact_names.map(&:name).include? n } creates a tremendous overhead on the facts import from the

puppet masters, this fix simply takes the code from the original Puppet::Rails::Host. As an example, imports have gone from ~30s to

~200ms

https://github.com/theforeman/foreman/pull/615

Related issues:

Related to Foreman - Bug #2509: fact names are duplicated in the database Closed 05/20/2013

Related to Foreman - Bug #2507: fact importer fails Closed 05/20/2013

Associated revisions

Revision 991cd8ae - 05/17/2013 03:03 PM - Daniel Lobato Garcia

fixes #2498 FactNames are not precreated

Witlessbird's fix to reduce database lookups and do Ruby hash lookups instead

Revision 7a158256 - 05/23/2013 04:01 AM - Daniel Lobato Garcia

fixes #2498 FactNames are not precreated

Witlessbird's fix to reduce database lookups and do Ruby hash lookups instead

(cherry picked from commit 991cd8ae19d87fc76adf97e18297bb593721e546)

History

#1 - 05/17/2013 07:45 AM - Greg Sutcliffe

- Status changed from New to Ready For Testing

#2 - 05/17/2013 04:16 PM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

Applied in changeset 991cd8ae19d87fc76adf97e18297bb593721e546.
